Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

When I install PostgreSQL, I get the following error before the installation rolls back:

PostgreSQL 8.2
---------------

Failed to run initdb: -1073741502!
Please see the logfile in 'C:\Program FIles
(x86)\PostgreSQL\8.2\tmp\initdb.log'.
Note! You must read/copy this logfile before you click
OK, or it will be automatically removed.

                [ OK ]

The logfile mentioned didn't exist, in fact the tmp folder mentioned was empty.

If I tick to make a log in the current folder at the start, then I see this in that log file:

Action 15:31:43: RunInitdb. Initializing database cluster (this may take a minute or two)...
MSI (s) (C8:8C) [15:31:43:785]: Executing op: CustomActionSchedule(Action=RunInitdb,ActionType=3073,Source=BinaryData,Target=RunInitdb@4,CustomActionData=1033;C:\Program Files (x86)\PostgreSQL\8.2\;C:\Program Files (x86)\PostgreSQL\8.2\data\;C:\Program Files (x86)\PostgreSQL\8.2\share\;5432;;English_United Kingdom;SQL_ASCII;postgres;Luc3rne8*;ISSVTSRV01;postgres;-/!FbSWRwm(royRc)+jGT&*>uqie:oE;)
MSI (s) (C8:20) [15:31:43:832]: Invoking remote custom action. DLL: C:\Windows\Installer\MSIC6F9.tmp, Entrypoint: RunInitdb@4
MSI (c) (F8:1C) [15:31:43:910]: Note: 1: 2205 2:  3: Error 
MSI (c) (F8:1C) [15:31:43:910]: Note: 1: 2228 2:  3: Error 4: SELECT `Message` FROM `Error` WHERE `Error` = 2867 
DEBUG: Error 2867:  The error dialog property is not set
The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2867. The arguments are: , , 
MSI (c) (F8:1C) [15:31:43:910]: Font created.  Charset: Req=0, Ret=0, Font: Req=MS Shell Dlg, Ret=MS Shell Dlg
share|improve this question
1  
I don't think 8.2 supports Windows Server 2008. Any reason you can use a more recent release? enterprisedb.com/products-services-training/pgdownload#windows –  Jason Huntley Mar 27 '12 at 15:48
    
Its for Cisco Fabric Manager 5, so it comes with the installer for that... want to know what this error means though. Might give newer version a go... –  neildeadman Mar 27 '12 at 15:50
    
Character encoding under Regional Settings? tek-tips.com/viewthread.cfm?qid=953288 –  Jason Huntley Mar 27 '12 at 16:01
    
I'm not 100% sure what they meant in that post, I did see that before posting here. Regional Settings are English (UK) for Windows and the installer... –  neildeadman Mar 28 '12 at 6:56
    
@JasonHuntley I managed to get 8.4 installed, but the Cisco installer detects that it is 8.4 and gives a not supported dialog. It has to be 8.1/8.2 unfortunately! –  neildeadman Mar 28 '12 at 9:11
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.